#
# spec file for package zn_poly
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           zn_poly
%define abiversion 0.9
%define lname	libzn_poly-0_9
Version:        0.9.2
Release:        lp152.4.3.1
Summary:        Library for polynomial arithmetic in Z/nZ[x]
License:        BSD-2-Clause AND GPL-2.0-or-later AND LGPL-2.1-or-later
Group:          Productivity/Scientific/Math
URL:            https://gitlab.com/sagemath/zn_poly/
Source:         https://gitlab.com/sagemath/zn_poly/-/archive/%version/%name-%version.tar.bz2
Patch1:         znpoly-automake.diff
BuildRequires:  gmp-devel
BuildRequires:  libtool

%description
zn_poly is a C library for polynomial arithmetic in Z/nZ[x], where n
is any modulus that fits into an unsigned long.

%package -n %lname
Summary:        Library for polynomial arithmetic in Z/nZ[x]
License:        GPL-2.0-or-later
Group:          System/Libraries

%description -n %lname
zn_poly is a C library for polynomial arithmetic in Z/nZ[x], where n
is any modulus that fits into an unsigned long.

%package devel
Summary:        Development files for the zn_poly library
License:        GPL-2.0-or-later
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
zn_poly is a C library for polynomial arithmetic in Z/nZ[x], where n
is any modulus that fits into an unsigned long.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%_libdir/libzn_poly-%abiversion.so
%license COPYING

%files devel
%_libdir/libzn_poly.so
%_includedir/%name/

%changelog
* Tue Nov 17 2020 Jan Engelhardt <jengelh@inai.de>
- Add missing require from zn_poly-devel to libzn_poly-0_9
* Thu Sep 10 2020 Dirk Mueller <dmueller@suse.com>
- update to 0.9.2:
  * fixed unsafe use of printf [!1]
  * added support for Python 2.6 and Python 3 in the build system [!2, !3]
* Sat Aug 24 2019 Jan Engelhardt <jengelh@inai.de>
- Specfile modernizations.
* Mon Mar 18 2019 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 0.9.1
  * Build fixes only
* Sun Oct 12 2014 jengelh@inai.de
- Use source URLs
- License change to BSD-2-Clause (+GPL)
* Sun Dec  2 2012 jengelh@inai.de
- Notice from the zn_poly homepage: zn_poly is no longer maintained.
  It is however still used by SAGE, so let's see where it goes.
* Mon Aug 27 2012 scorot@free.fr
- BuildRequires libtool on 12.2 and higher
* Sun Mar 18 2012 scorot@free.fr
- recompress source file to bzip2 format to allow build on SLE-11
* Tue Sep 27 2011 jengelh@medozas.de
- Initial package for build.opensuse.org
